Subject: Re: [PATCH v2] IPv6: fix bug when specifying the non-exist outgoing interface

From: Brian Haley <[email-masked]>
Date: Mon, 02 Jun 2008 13:39:06 -0400

YOSHIFUJI Hideaki / 吉藤英明 wrote:
>> In the current git tree, this :: address is going to turn-into ::1, so 
>> the ifindex is irrelevant, the packet will be looped-back.  Older 
>> kernels could transmit the packet on the wire using the default route. 
>> Can you elaborate on the problem you were seeing?
> 
> Confused.  We are not talking about destination address but source
> address, right?

I was testing with both set to :: to see if the source address was ever
getting transmitted as ::, but only noticed the destination address was
on an older kernel.  That was my confusion, but there is still some bug
here.

-Brian